---
title: Get extension
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Registrar Sandbox](https://developers.cloudflare.com/api/go/resources/registrar_sandbox)

[Extensions](https://developers.cloudflare.com/api/go/resources/registrar_sandbox/subresources/extensions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get extension

client.RegistrarSandbox.Extensions.Get(ctx, extension, query) (\*[ExtensionGetResponse](<https://developers.cloudflare.com/api/go/resources/registrar_sandbox#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20ExtensionGetResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/registrar-sandbox/extensions/{extension}

Returns metadata and JSON Schema documents describing the expected input structure for registration and transfer operations on a specific extension (TLD).

Supports HTTP conditional GET via `ETag`. Include the `ETag` value from a previous response in an `If-None-Match` header to receive a `304 Not Modified` when the data has not changed.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

extension string

[Link to this property](<#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20extension%20%3E%20(schema)>)

<details>

<summary>

query ExtensionGetParams

</summary>

AccountID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20registrar_sandbox.extensions%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type ExtensionGetResponse struct{…}

Extension entry with metadata and JSON Schema documents for registration and transfer operations.

</summary>

<details>

<summary>

Metadata ExtensionGetResponseMetadata

Extension metadata.

</summary>

Name string

The full name of the extension. For example, “co.uk”, or “uk”.

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20ExtensionGetResponse%20%3E%20(schema)%20%3E%20(property)%20metadata%20%3E%20(property)%20name">Link to this property</a>

TLD string

The TLD of the extension. For example, for “co.uk”, it is “uk”. For “uk”, it is “uk”.

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20ExtensionGetResponse%20%3E%20(schema)%20%3E%20(property)%20metadata%20%3E%20(property)%20tld">Link to this property</a>

</details>

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20ExtensionGetResponse%20%3E%20(schema)%20%3E%20(property)%20metadata">Link to this property</a>

RegistrationSchema unknown

JSON Schema describing the expected input structure for registration operations on this extension.

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20ExtensionGetResponse%20%3E%20(schema)%20%3E%20(property)%20registration_schema">Link to this property</a>

TransferSchema unknown

JSON Schema describing the expected input structure for transfer operations on this extension.

<a href="#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20ExtensionGetResponse%20%3E%20(schema)%20%3E%20(property)%20transfer_schema">Link to this property</a>

</details>

[Link to this property](<#(resource)%20registrar_sandbox.extensions%20%3E%20(model)%20ExtensionGetResponse%20%3E%20(schema)>)

### Get extension

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/registrar_sandbox"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  extension, err := client.RegistrarSandbox.Extensions.Get(
    context.TODO(),
    "com",
    registrar_sandbox.ExtensionGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", extension.Metadata)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "metadata": {
      "name": "name",
      "tld": "tld"
    },
    "registration_schema": {},
    "transfer_schema": {}
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "metadata": {
      "name": "name",
      "tld": "tld"
    },
    "registration_schema": {},
    "transfer_schema": {}
  },
  "success": true
}
```